Get a task
curl --request GET \
--url https://api.cloud.wherobots.com/tasks/{taskName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.wherobots.com/tasks/{taskName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.wherobots.com/tasks/{taskName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cloud.wherobots.com/tasks/{taskName}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cloud.wherobots.com/tasks/{taskName}")
.header("Authorization", "Bearer <token>")
.asString();{
"name": "<string>",
"displayName": "<string>",
"taskId": "<string>",
"organizationId": "<string>",
"description": "<string>",
"regions": [
"<string>"
],
"definition": {
"scriptKind": "python",
"uri": "<string>",
"environment": {
"dependencies": [
{
"libraryName": "<string>",
"sourceType": "PYPI",
"libraryVersion": "<string>"
}
],
"sparkConfigs": {}
}
},
"inputSchema": {},
"outputSchema": {},
"examples": [
{
"name": "<string>",
"inputs": {}
}
]
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}tasks
Get a task
Get a single task by name, if it is available to the caller’s org.
GET
/
tasks
/
{taskName}
Get a task
curl --request GET \
--url https://api.cloud.wherobots.com/tasks/{taskName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.wherobots.com/tasks/{taskName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.wherobots.com/tasks/{taskName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cloud.wherobots.com/tasks/{taskName}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cloud.wherobots.com/tasks/{taskName}")
.header("Authorization", "Bearer <token>")
.asString();{
"name": "<string>",
"displayName": "<string>",
"taskId": "<string>",
"organizationId": "<string>",
"description": "<string>",
"regions": [
"<string>"
],
"definition": {
"scriptKind": "python",
"uri": "<string>",
"environment": {
"dependencies": [
{
"libraryName": "<string>",
"sourceType": "PYPI",
"libraryVersion": "<string>"
}
],
"sparkConfigs": {}
}
},
"inputSchema": {},
"outputSchema": {},
"examples": [
{
"name": "<string>",
"inputs": {}
}
]
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}{
"errors": [
{
"code": "BAD_REQUEST_ERROR",
"message": "<string>",
"details": "<string>",
"path": "<string>",
"suggestion": "Contact us at support@wherobots.com to get help with resolving your error.",
"documentation_url": "<string>",
"field": "<string>",
"data": {}
}
],
"requestId": "<string>"
}Authorizations
bearerTokenwherobotsApiKey
Path Parameters
Response
Successful Response
e.g. { "taskId": "task_abc123", "organizationId": "org_abc123", "name": "process_data", "displayName": "Process data", "description": "Run a Python script.", "regions": ["aws-us-west-2"], "definition": { "scriptKind": "python", "uri": "s3://example-bucket/process.py" }, "inputSchema": { "title": "ScriptInputs", "type": "object", "properties": {"runtime": ..., "args": ..., "environment": ...}, "additionalProperties": false }, "examples": [] }
Was this page helpful?

